## plasma-widget-fancytasks 0.9.8

=== applet/CMakeLists.txt ===
project(fancytasks)

find_package(KDE4 REQUIRED)
find_package(QImageBlitz REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QIMAGEBLITZ_INCLUDES}
   )

if(X11_Xcomposite_FOUND AND X11_Xrender_FOUND AND X11_Xfixes_FOUND)
    set(FANCYTASKS_HAVE_COMPOSITING 1)
endif(X11_Xcomposite_FOUND AND X11_Xrender_FOUND AND X11_Xfixes_FOUND)

set(fancytasks_SRCS FancyTasksApplet.cpp FancyTasksIcon.cpp FancyTasksLight.cpp FancyTasksSeparator.cpp FancyTasksDropZone.cpp FancyTasksPreview.cpp FancyTasksToolTip.cpp FancyTasksConfiguration.cpp FancyTasksTask.cpp FancyTasksLauncher.cpp FancyTasksJob.cpp)

add_subdirectory(po)

kde4_add_ui_files(fancytasks_SRCS ui/general.ui ui/appearance.ui ui/arrangement.ui ui/findApplication.ui ui/group.ui)
kde4_add_plugin(plasma_applet_fancytasks ${fancytasks_SRCS})
target_link_libraries(plasma_applet_fancytasks
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KUTILS_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${QIMAGEBLITZ_LIBRARIES}
                      taskmanager
                      konq
                      )

if(X11_FOUND)
   target_link_libraries(plasma_applet_fancytasks
                         ${X11_LIBRARIES}
                         )
endif(X11_FOUND)

if(FANCYTASKS_HAVE_COMPOSITING)
   target_link_libraries(plasma_applet_fancytasks
                         ${X11_Xcomposite_LIB}
                         ${X11_Xrender_LIB}
                         ${X11_Xfixes_LIB}
                         )
endif(FANCYTASKS_HAVE_COMPOSITING)

configure_file(config-fancytasks.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-fancytasks.h)

install(TARGETS plasma_applet_fancytasks
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-fancytasks.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES theme/fancytasks.svgz
        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

## plasma-widget-fancytasks 1.0.0

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
     set(FANCYTASKS_HAVE_COMPOSITING 1)
 endif(X11_Xcomposite_FOUND AND X11_Xrender_FOUND AND X11_Xfixes_FOUND)
 
-set(fancytasks_SRCS FancyTasksApplet.cpp FancyTasksIcon.cpp FancyTasksLight.cpp FancyTasksSeparator.cpp FancyTasksDropZone.cpp FancyTasksPreview.cpp FancyTasksToolTip.cpp FancyTasksConfiguration.cpp FancyTasksTask.cpp FancyTasksLauncher.cpp FancyTasksJob.cpp)
+set(fancytasks_SRCS FancyTasksApplet.cpp FancyTasksIcon.cpp FancyTasksLight.cpp FancyTasksSeparator.cpp FancyTasksDropZone.cpp FancyTasksPreview.cpp FancyTasksToolTip.cpp FancyTasksMenu.cpp FancyTasksConfiguration.cpp FancyTasksTask.cpp FancyTasksLauncher.cpp FancyTasksJob.cpp)
 
 add_subdirectory(po)

=== containment/CMakeLists.txt ===
project(fancypanel)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

set(fancypanel_SRCS FancyPanel.cpp)

add_subdirectory(po)

include_directories(
    ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kephal)

kde4_add_plugin(plasma_containment_fancypanel ${fancypanel_SRCS})
target_link_libraries(plasma_containment_fancypanel
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KIO_LIBS}
                      )

install(TARGETS plasma_containment_fancypanel
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-containment-fancypanel.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-fancytasks (1.0.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 01 Feb 2010 21:15:34 +0100

plasma-widget-fancytasks (0.9.9-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Transition from kde.mk to dh --with-kde:
    - Bump pkg-kde-tools build-depend version to 0.5.0
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon
  * Transition to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16
    - Add source/format, specifying 3.0 (quilt)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 25 Dec 2009 12:06:47 -0500

plasma-widget-fancytasks (0.9.8-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #419465)
    - Bump kdebase-workspace-dev to 4.3.1
    - Bump Standards-Version, no changes required

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 03 Oct 2009 03:00:22 +0200

plasma-widget-fancytasks (0.9.5-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #414911)
    - Add libkonq5-dev to build-deps

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 17 Aug 2009 18:26:07 +0200

plasma-widget-fancytasks (0.9.4-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #412142)
    - Bump version of kdebase-workspace-dev build-dep to 4.3.0

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 11 Aug 2009 21:54:37 +0200

plasma-widget-fancytasks (0.9.3-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 19 Jul 2009 11:22:02 -0400

plasma-widget-fancytasks (0.9.2-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #398516)
  * Bump compat to 7, debhelper is 7
  * Bump version of kdebase-workspace-dev build-dep to 4.2.96, because
    new version only works with KDE 4.3
  * Add build-dep on libqimageblitz-dev, necessary now

 -- Christian Mangold <neversfelde@ubuntu.com>  Thu, 16 Jul 2009 13:45:29 +0200

plasma-widget-fancytasks (0.8.1-0ubuntu2) karmic; urgency=low

  * Fix up debian/control: (LP: #392229)
    - Remove libplasma-dev, it's files are now in kdelibs5-dev, which
      kdebase-workspace-dev depends on
    - Bump build-depends version of kdebase-workspace-dev to 4.2.85, as it is
      the first version to depend on kdelibs5-dev that had the plasma dev
      headers
    - Remove unneeded build-depend on quilt
  * Bump Standards-Version to 3.8.2, no changes required
  * Use kde.mk from pkg-kde-tools rather than debian-qt-kde.mk
  * Bump debehelpher depends version and compat version to 7 for the use of
    pkg-kde-tools
  * Remove build/BUILDLOG file/directory that somehow slipped in to the last
    upload

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Jun 2009 15:31:45 -0400

plasma-widget-fancytasks (0.8.1-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #370956)

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 02 May 2009 17:47:20 +0200

=== debian/control ===
Source: plasma-widget-fancytasks
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), libkonq5-dev,
 libqimageblitz-dev, kdebase-workspace-dev (>= 4:4.3.1)
Standards-Version: 3.8.3
Homepage: http://www.kde-look.org/content/show.php/Fancy+Tasks?content=99737

Package: plasma-widget-fancytasks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plasma widget for representing tasks and launchers
 Fancy tasks is a widget for representing tasks and launchers and 
 is inspired by Avant Window Navigator and other MacOS X like docks.
 .
 It's features are:
  - manages tasks and launchers
  - tasks filtering, grouping and sorting
  - launcher to task transition
  - preview of windows with and without composite
  - dropping files on launchers
  - visual drop indicator that helps in manual tasks sorting 
    and dropping launchers
  - possibility to browse directories of directory launchers using 
    context menu
  - menu with list of all icons shown after activating keyboard 
    shortcut
  - configurable animations and appearance
  - fully animated icons

## plasma-widget-fancytasks 1.0.94

=== CMakeLists.txt ===
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_subdirectory(applet)
add_subdirectory(containment)

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 project(fancytasks)
 
 find_package(KDE4 REQUIRED)
-find_package(QImageBlitz REQUIRED)
 include(KDE4Defaults)
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
@@ -9,25 +8,23 @@
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES}
-   ${QIMAGEBLITZ_INCLUDES}
    )
 
 if(X11_Xcomposite_FOUND AND X11_Xrender_FOUND AND X11_Xfixes_FOUND)
     set(FANCYTASKS_HAVE_COMPOSITING 1)
 endif(X11_Xcomposite_FOUND AND X11_Xrender_FOUND AND X11_Xfixes_FOUND)
 
-set(fancytasks_SRCS FancyTasksApplet.cpp FancyTasksIcon.cpp FancyTasksLight.cpp FancyTasksSeparator.cpp FancyTasksDropZone.cpp FancyTasksPreview.cpp FancyTasksToolTip.cpp FancyTasksMenu.cpp FancyTasksConfiguration.cpp FancyTasksTask.cpp FancyTasksLauncher.cpp FancyTasksJob.cpp)
+set(fancytasks_SRCS FancyTasksApplet.cpp FancyTasksIcon.cpp FancyTasksLight.cpp FancyTasksSeparator.cpp FancyTasksDropZone.cpp FancyTasksMenu.cpp FancyTasksTask.cpp FancyTasksLauncher.cpp FancyTasksJob.cpp FancyTasksConfiguration.cpp FancyTasksActionDelegate.cpp)
 
 add_subdirectory(po)
 
-kde4_add_ui_files(fancytasks_SRCS ui/general.ui ui/appearance.ui ui/arrangement.ui ui/findApplication.ui ui/group.ui)
+kde4_add_ui_files(fancytasks_SRCS ui/general.ui ui/appearance.ui ui/arrangement.ui ui/actions.ui ui/findApplication.ui ui/group.ui)
 kde4_add_plugin(plasma_applet_fancytasks ${fancytasks_SRCS})
 target_link_libraries(plasma_applet_fancytasks
                       ${KDE4_PLASMA_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_KUTILS_LIBS}
                       ${KDE4_KIO_LIBS}
-                      ${QIMAGEBLITZ_LIBRARIES}
                       taskmanager
                       konq
                       )

=== containment/CMakeLists.txt ===
--- 
+++ 
@@ -14,9 +14,6 @@
 
 add_subdirectory(po)
 
-include_directories(
-    ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kephal)
-
 kde4_add_plugin(plasma_containment_fancypanel ${fancypanel_SRCS})
 target_link_libraries(plasma_containment_fancypanel
                       ${KDE4_PLASMA_LIBS}

=== applet/po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

if(NOT GETTEXT_MSGFMT_EXECUTABLE)
   message(FATAL_ERROR "Please install the msgfmt binary")
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

file(GLOB _po_files *.po)

set(_gmoFiles)

foreach(_current_PO_FILE ${_po_files})
   get_filename_component(_lang ${_current_PO_FILE} NAME_WE)
   set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_applet_fancytasks.mo)
   list(APPEND _gmoFiles ${_gmoFile})
endforeach(_current_PO_FILE)
add_custom_target(pofiles ALL DEPENDS ${_gmoFiles})

=== containment/po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

if(NOT GETTEXT_MSGFMT_EXECUTABLE)
   message(FATAL_ERROR "Please install the msgfmt binary")
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

file(GLOB _po_files *.po)

set(_gmoFiles)

foreach(_current_PO_FILE ${_po_files})
   get_filename_component(_lang ${_current_PO_FILE} NAME_WE)
   set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_containment_fancypanel.mo)
   list(APPEND _gmoFiles ${_gmoFile})
endforeach(_current_PO_FILE)
add_custom_target(pofiles ALL DEPENDS ${_gmoFiles})

=== debian/changelog ===
plasma-widget-fancytasks (1.0.94-0ubuntu4) oneiric; urgency=low

  * Build depend on kde-workspace-dev instead of kdebase-workspace-dev
  * Add missing build-dep on libx11-dev
  * Rebuild for libtaskmanager transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jul 2011 19:35:26 -0400

plasma-widget-fancytasks (1.0.94-0ubuntu3) oneiric; urgency=low

  * Rebuild for libkonq5a transition

 -- Michał Zając <quintasan@kubuntu.org>  Sat, 04 Jun 2011 00:23:01 +0200

plasma-widget-fancytasks (1.0.94-0ubuntu2) natty; urgency=low

  * Rebuild against libkonq5-dev and kdebase-workspace-dev (>= 4:4.5.2) for
    libkonq5 -> libkonq5a and libtaskmanager4a -> libtaskmanager4b transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 28 Oct 2010 04:35:12 +0200

plasma-widget-fancytasks (1.0.94-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
    - Bump build-depends
    - Bump Standards-Version no changes needed

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 21:18:16 +0200

plasma-widget-fancytasks (1.0.93-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Enable parallel building.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 25 May 2010 22:33:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), libkonq5-dev,
- libqimageblitz-dev, kdebase-workspace-dev (>= 4:4.3.1)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.3.16),
+               pkg-kde-tools (>= 0.9.2),
+               cmake,
+               libkonq5-dev (>= 4:4.5.2),
+               libqimageblitz-dev,
+               kde-workspace-dev,
+               libx11-dev
+Standards-Version: 3.9.1
 Homepage: http://www.kde-look.org/content/show.php/Fancy+Tasks?content=99737
 
 Package: plasma-widget-fancytasks

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel --with kde $@
